---
updatedAt: 2026-05-19T16:20:43.000Z
agentTools:
  projectIndex: https://docs.gtm.ai/llms.txt
---

# Lookup Enrich Fields

Returns lookup enrich fields based on entity and field type filters.

# OpenAPI definition

```json
{
  "openapi": "3.0.0",
  "info": {
    "title": "Data API V1",
    "version": "1.0",
    "contact": {
      "name": "ZoomInfo Customer Support",
      "email": "help@zoominfo.com"
    },
    "description": "The Data API"
  },
  "tags": [
    {
      "name": "Lookup"
    }
  ],
  "paths": {
    "/data/v1/lookup/enrich": {
      "get": {
        "operationId": "LookupEnrichInterface_lookupEnrich",
        "summary": "Lookup Enrich Fields",
        "description": "Returns lookup enrich fields based on entity and field type filters.",
        "parameters": [
          {
            "name": "filter[entity]",
            "in": "query",
            "required": true,
            "description": "The entity type to filter by. Options are 'contact', 'company', 'scoop', 'news', 'intent', 'technology', 'orgChart', or 'corporate-hierarchy'.",
            "schema": {
              "$ref": "#/components/schemas/EnrichEntityNameEnum"
            },
            "explode": false
          },
          {
            "name": "filter[fieldType]",
            "in": "query",
            "required": true,
            "description": "The field type to filter by. Options are 'input' or 'output'.",
            "schema": {
              "$ref": "#/components/schemas/FieldTypeEnum"
            },
            "explode": false
          }
        ],
        "responses": {
          "200": {
            "description": "Success",
            "content": {
              "application/vnd.api+json": {
                "schema": {
                  "$ref": "#/components/schemas/LookupEnrichResponse"
                }
              }
            }
          },
          "400": {
            "description": "Bad Request",
            "content": {
              "application/vnd.api+json": {
                "schema": {
                  "$ref": "#/components/schemas/ZoomInfo.Core.Foundations.ErrorResponseModel"
                }
              }
            }
          },
          "401": {
            "description": "Unauthorized",
            "content": {
              "application/vnd.api+json": {
                "schema": {
                  "$ref": "#/components/schemas/ZoomInfo.Core.Foundations.ErrorResponseModel"
                }
              }
            }
          },
          "403": {
            "description": "Forbidden",
            "content": {
              "application/vnd.api+json": {
                "schema": {
                  "$ref": "#/components/schemas/ZoomInfo.Core.Foundations.ErrorResponseModel"
                }
              }
            }
          },
          "404": {
            "description": "Not Found",
            "content": {
              "application/vnd.api+json": {
                "schema": {
                  "$ref": "#/components/schemas/ZoomInfo.Core.Foundations.ErrorResponseModel"
                }
              }
            }
          },
          "429": {
            "description": "Too Many Requests",
            "content": {
              "application/vnd.api+json": {
                "schema": {
                  "$ref": "#/components/schemas/ZoomInfo.Core.Foundations.ErrorResponseModel"
                }
              }
            }
          }
        },
        "tags": [
          "Lookup"
        ],
        "security": [
          {
            "OAuth2Auth": [
              "api:data:company",
              "api:data:contact",
              "api:data:intent",
              "api:data:news",
              "api:data:scoops",
              "api:data:lookup"
            ]
          }
        ],
        "x-api-roles": [
          "fea:zia",
          "fea:api"
        ],
        "x-api-role-requirement": "ANY_REQUIRED",
        "x-api-scope-requirement": "ANY_REQUIRED"
      }
    }
  },
  "security": [
    {
      "OAuth2Auth": []
    }
  ],
  "components": {
    "schemas": {
      "ZoomInfo.Core.Foundations.ErrorSourceModel": {
        "type": "object",
        "properties": {
          "cookie": {
            "type": "string",
            "description": "Identifies the cookie name that caused the issue"
          },
          "header": {
            "type": "string",
            "description": "Identifies the header name that caused the error"
          },
          "pointer": {
            "type": "string",
            "description": "An RFC 6901 compliant JSON pointer to the entity in the request body that caused the error"
          },
          "parameter": {
            "type": "string",
            "description": "The name of the path or query parameter that caused the error"
          }
        }
      },
      "ZoomInfo.Core.Foundations.ErrorModel": {
        "type": "object",
        "required": [
          "id",
          "code",
          "status"
        ],
        "properties": {
          "id": {
            "type": "string",
            "description": "The unique id used to identify this specific error instance"
          },
          "code": {
            "type": "string",
            "description": "The error code describing the error category. A full list of error codes can be found in the documentation for each service"
          },
          "detail": {
            "type": "string",
            "description": "Message containing the specific details about this occurrence of the error"
          },
          "source": {
            "allOf": [
              {
                "$ref": "#/components/schemas/ZoomInfo.Core.Foundations.ErrorSourceModel"
              }
            ],
            "description": "An optional object identifying which part of the request caused the error"
          },
          "status": {
            "type": "string",
            "description": "The HTTP status code for the error"
          },
          "title": {
            "type": "string",
            "description": "The error name that describes this type of error"
          }
        },
        "description": "The object describing a specific error from the API"
      },
      "ZoomInfo.Core.Foundations.ErrorResponseModel": {
        "type": "object",
        "required": [
          "errors"
        ],
        "properties": {
          "detail": {
            "type": "string",
            "description": "A high-level detail of the error(s) that occurred during the request"
          },
          "title": {
            "type": "string",
            "description": "A high-level summary of the error(s) detected"
          },
          "errors": {
            "type": "array",
            "items": {
              "$ref": "#/components/schemas/ZoomInfo.Core.Foundations.ErrorModel"
            },
            "description": "The list of errors raised during the request"
          }
        },
        "description": "The standard error response body model for the ZoomInfo API."
      },
      "FieldTypeEnum": {
        "type": "string",
        "enum": [
          "input",
          "output"
        ],
        "x-enumDescriptions": {
          "input": "Returns a list of fields you can use as input for supported entity types.",
          "output": "Returns a list of fields you can use as output for supported entity types."
        }
      },
      "LookupFieldAttributes": {
        "type": "object",
        "required": [
          "fieldName",
          "description"
        ],
        "properties": {
          "fieldType": {
            "type": "string",
            "description": "The type of the input lookup field e.g: Long or String"
          },
          "fieldName": {
            "type": "string",
            "description": "The name of the lookup field"
          },
          "description": {
            "type": "string",
            "description": "The description of the lookup field"
          },
          "accessGranted": {
            "type": "boolean",
            "description": "The access level of the lookup field is currently limited to input fields and is not available for output fields."
          }
        },
        "description": "Common attributes for lookup fields, used in both input and output lookups."
      },
      "EnrichEntityNameEnum": {
        "type": "string",
        "enum": [
          "company",
          "contact",
          "scoop",
          "news",
          "intent",
          "technology",
          "hashtag",
          "orgChart",
          "corporate-hierarchy"
        ],
        "description": "All possible enrich lookup field names",
        "x-enumDescriptions": {
          "company": "Returns a list of fields you can use as input or output for the Company Enrich endpoint.",
          "contact": "Returns a list of fields you can use as input or output for the Contact Enrich endpoint.",
          "scoop": "Returns a list of fields you can use as input or output for the Scoop Enrich endpoint.",
          "news": "Returns a list of fields you can use as input or output for the News Enrich endpoint.",
          "intent": "Returns a list of fields you can use as input or output for the Intent Enrich endpoint.",
          "technology": "Returns a list of fields you can use as input or output for the Company Technology Enrich endpoint.",
          "hashtag": "Returns a list of fields you can use as input or output for the Company Hashtag Enrich endpoint.",
          "orgChart": "Returns a list of fields you can use as input or output for the Company OrgChart Enrich endpoint.",
          "corporateHierarchy": "Returns a list of fields you can use as input or output for the Company CorporateHierarchy Enrich endpoint."
        }
      },
      "ContactEnrichInputLookUp": {
        "type": "object",
        "required": [
          "id",
          "type",
          "attributes"
        ],
        "properties": {
          "id": {
            "type": "string",
            "description": "The unique identifier for the resource"
          },
          "type": {
            "type": "string",
            "description": "The type of the resource",
            "default": "ContactEnrichInput",
            "pattern": "ContactEnrichInput"
          },
          "attributes": {
            "allOf": [
              {
                "$ref": "#/components/schemas/LookupFieldAttributes"
              }
            ],
            "description": "The attributes defining the resource"
          }
        },
        "description": "Model for the contact search enrich lookup"
      },
      "CompanyEnrichInputLookUp": {
        "type": "object",
        "required": [
          "id",
          "type",
          "attributes"
        ],
        "properties": {
          "id": {
            "type": "string",
            "description": "The unique identifier for the resource"
          },
          "type": {
            "type": "string",
            "description": "The type of the resource",
            "default": "CompanyEnrichInput",
            "pattern": "CompanyEnrichInput"
          },
          "attributes": {
            "allOf": [
              {
                "$ref": "#/components/schemas/LookupFieldAttributes"
              }
            ],
            "description": "The attributes defining the resource"
          }
        },
        "description": "Model for the company enrich  input lookup"
      },
      "NewsEnrichInputLookUp": {
        "type": "object",
        "required": [
          "id",
          "type",
          "attributes"
        ],
        "properties": {
          "id": {
            "type": "string",
            "description": "The unique identifier for the resource"
          },
          "type": {
            "type": "string",
            "description": "The type of the resource",
            "default": "NewsEnrichInput",
            "pattern": "NewsEnrichInput"
          },
          "attributes": {
            "allOf": [
              {
                "$ref": "#/components/schemas/LookupFieldAttributes"
              }
            ],
            "description": "The attributes defining the resource"
          }
        },
        "description": "Model for the news enrich input lookup"
      },
      "IntentEnrichInputLookUp": {
        "type": "object",
        "required": [
          "id",
          "type",
          "attributes"
        ],
        "properties": {
          "id": {
            "type": "string",
            "description": "The unique identifier for the resource"
          },
          "type": {
            "type": "string",
            "description": "The type of the resource",
            "default": "IntentEnrichInput",
            "pattern": "IntentEnrichInput"
          },
          "attributes": {
            "allOf": [
              {
                "$ref": "#/components/schemas/LookupFieldAttributes"
              }
            ],
            "description": "The attributes defining the resource"
          }
        },
        "description": "Model for the intent enrich input lookup"
      },
      "ScoopEnrichInputLookUp": {
        "type": "object",
        "required": [
          "id",
          "type",
          "attributes"
        ],
        "properties": {
          "id": {
            "type": "string",
            "description": "The unique identifier for the resource"
          },
          "type": {
            "type": "string",
            "description": "The type of the resource",
            "default": "ScoopEnrichInput",
            "pattern": "ScoopEnrichInput"
          },
          "attributes": {
            "allOf": [
              {
                "$ref": "#/components/schemas/LookupFieldAttributes"
              }
            ],
            "description": "The attributes defining the resource"
          }
        },
        "description": "Model for the scoop enrich input lookup"
      },
      "TechnologyEnrichInputLookUp": {
        "type": "object",
        "required": [
          "id",
          "type",
          "attributes"
        ],
        "properties": {
          "id": {
            "type": "string",
            "description": "The unique identifier for the resource"
          },
          "type": {
            "type": "string",
            "description": "The type of the resource",
            "default": "TechnologyEnrichInput",
            "pattern": "TechnologyEnrichInput"
          },
          "attributes": {
            "allOf": [
              {
                "$ref": "#/components/schemas/LookupFieldAttributes"
              }
            ],
            "description": "The attributes defining the resource"
          }
        },
        "description": "Model for the technology enrich input lookup"
      },
      "HashtagEnrichInputLookUp": {
        "type": "object",
        "required": [
          "id",
          "type",
          "attributes"
        ],
        "properties": {
          "id": {
            "type": "string",
            "description": "The unique identifier for the resource"
          },
          "type": {
            "type": "string",
            "description": "The type of the resource",
            "default": "HashtagEnrichInput",
            "pattern": "HashtagEnrichInput"
          },
          "attributes": {
            "allOf": [
              {
                "$ref": "#/components/schemas/LookupFieldAttributes"
              }
            ],
            "description": "The attributes defining the resource"
          }
        },
        "description": "Model for the hashtag enrich input lookup"
      },
      "OrgChartEnrichInputLookUp": {
        "type": "object",
        "required": [
          "id",
          "type",
          "attributes"
        ],
        "properties": {
          "id": {
            "type": "string",
            "description": "The unique identifier for the resource"
          },
          "type": {
            "type": "string",
            "description": "The type of the resource",
            "default": "OrgChartEnrichInput",
            "pattern": "OrgChartEnrichInput"
          },
          "attributes": {
            "allOf": [
              {
                "$ref": "#/components/schemas/LookupFieldAttributes"
              }
            ],
            "description": "The attributes defining the resource"
          }
        },
        "description": "Model for the orgChart enrich input lookup"
      },
      "CorporateHierarchyEnrichInputLookUp": {
        "type": "object",
        "required": [
          "id",
          "type",
          "attributes"
        ],
        "properties": {
          "id": {
            "type": "string",
            "description": "The unique identifier for the resource"
          },
          "type": {
            "type": "string",
            "description": "The type of the resource",
            "default": "CorporateHierarchyEnrichInput",
            "pattern": "CorporateHierarchyEnrichInput"
          },
          "attributes": {
            "allOf": [
              {
                "$ref": "#/components/schemas/LookupFieldAttributes"
              }
            ],
            "description": "The attributes defining the resource"
          }
        },
        "description": "Model for the corporate hierarchy enrich input lookup"
      },
      "ContactEnrichOutputLookUp": {
        "type": "object",
        "required": [
          "id",
          "type",
          "attributes"
        ],
        "properties": {
          "id": {
            "type": "string",
            "description": "The unique identifier for the resource"
          },
          "type": {
            "type": "string",
            "description": "The type of the resource",
            "default": "ContactEnrichOutput",
            "pattern": "ContactEnrichOutput"
          },
          "attributes": {
            "allOf": [
              {
                "$ref": "#/components/schemas/LookupFieldAttributes"
              }
            ],
            "description": "The attributes defining the resource"
          }
        },
        "description": "Model for the contact enrich output lookup"
      },
      "CompanyEnrichOutputLookUp": {
        "type": "object",
        "required": [
          "id",
          "type",
          "attributes"
        ],
        "properties": {
          "id": {
            "type": "string",
            "description": "The unique identifier for the resource"
          },
          "type": {
            "type": "string",
            "description": "The type of the resource",
            "default": "CompanyEnrichOutput",
            "pattern": "CompanyEnrichOutput"
          },
          "attributes": {
            "allOf": [
              {
                "$ref": "#/components/schemas/LookupFieldAttributes"
              }
            ],
            "description": "The attributes defining the resource"
          }
        },
        "description": "Model for the company enrich output lookup"
      },
      "NewsEnrichOutputLookUp": {
        "type": "object",
        "required": [
          "id",
          "type",
          "attributes"
        ],
        "properties": {
          "id": {
            "type": "string",
            "description": "The unique identifier for the resource"
          },
          "type": {
            "type": "string",
            "description": "The type of the resource",
            "default": "NewsEnrichOutput",
            "pattern": "NewsEnrichOutput"
          },
          "attributes": {
            "allOf": [
              {
                "$ref": "#/components/schemas/LookupFieldAttributes"
              }
            ],
            "description": "The attributes defining the resource"
          }
        },
        "description": "Model for the news enrich output lookup"
      },
      "IntentEnrichOutputLookUp": {
        "type": "object",
        "required": [
          "id",
          "type",
          "attributes"
        ],
        "properties": {
          "id": {
            "type": "string",
            "description": "The unique identifier for the resource"
          },
          "type": {
            "type": "string",
            "description": "The type of the resource",
            "default": "IntentEnrichOutput",
            "pattern": "IntentEnrichOutput"
          },
          "attributes": {
            "allOf": [
              {
                "$ref": "#/components/schemas/LookupFieldAttributes"
              }
            ],
            "description": "The attributes defining the resource"
          }
        },
        "description": "Model for the intent enrich output lookup"
      },
      "ScoopEnrichOutputLookUp": {
        "type": "object",
        "required": [
          "id",
          "type",
          "attributes"
        ],
        "properties": {
          "id": {
            "type": "string",
            "description": "The unique identifier for the resource"
          },
          "type": {
            "type": "string",
            "description": "The type of the resource",
            "default": "ScoopEnrichOutput",
            "pattern": "ScoopEnrichOutput"
          },
          "attributes": {
            "allOf": [
              {
                "$ref": "#/components/schemas/LookupFieldAttributes"
              }
            ],
            "description": "The attributes defining the resource"
          }
        },
        "description": "Model for the scoop enrich output lookup"
      },
      "TechnologyEnrichOutputLookUp": {
        "type": "object",
        "required": [
          "id",
          "type",
          "attributes"
        ],
        "properties": {
          "id": {
            "type": "string",
            "description": "The unique identifier for the resource"
          },
          "type": {
            "type": "string",
            "description": "The type of the resource",
            "default": "TechnologyEnrichOutput",
            "pattern": "TechnologyEnrichOutput"
          },
          "attributes": {
            "allOf": [
              {
                "$ref": "#/components/schemas/LookupFieldAttributes"
              }
            ],
            "description": "The attributes defining the resource"
          }
        },
        "description": "Model for the technology enrich output lookup"
      },
      "HashtagEnrichOutputLookUp": {
        "type": "object",
        "required": [
          "id",
          "type",
          "attributes"
        ],
        "properties": {
          "id": {
            "type": "string",
            "description": "The unique identifier for the resource"
          },
          "type": {
            "type": "string",
            "description": "The type of the resource",
            "default": "HashtagEnrichOutput",
            "pattern": "HashtagEnrichOutput"
          },
          "attributes": {
            "allOf": [
              {
                "$ref": "#/components/schemas/LookupFieldAttributes"
              }
            ],
            "description": "The attributes defining the resource"
          }
        },
        "description": "Model for the technology enrich output lookup"
      },
      "OrgChartEnrichOutputLookUp": {
        "type": "object",
        "required": [
          "id",
          "type",
          "attributes"
        ],
        "properties": {
          "id": {
            "type": "string",
            "description": "The unique identifier for the resource"
          },
          "type": {
            "type": "string",
            "description": "The type of the resource",
            "default": "OrgChartEnrichOutput",
            "pattern": "OrgChartEnrichOutput"
          },
          "attributes": {
            "allOf": [
              {
                "$ref": "#/components/schemas/LookupFieldAttributes"
              }
            ],
            "description": "The attributes defining the resource"
          }
        },
        "description": "Model for the org chart enrich output lookup"
      },
      "CorporateHierarchyEnrichOutputLookUp": {
        "type": "object",
        "required": [
          "id",
          "type",
          "attributes"
        ],
        "properties": {
          "id": {
            "type": "string",
            "description": "The unique identifier for the resource"
          },
          "type": {
            "type": "string",
            "description": "The type of the resource",
            "default": "CorporateHierarchyEnrichOutput",
            "pattern": "CorporateHierarchyEnrichOutput"
          },
          "attributes": {
            "allOf": [
              {
                "$ref": "#/components/schemas/LookupFieldAttributes"
              }
            ],
            "description": "The attributes defining the resource"
          }
        },
        "description": "Model for the corporate hierarchy enrich output lookup"
      },
      "LookupEnrichInputOutputResponseResourceUnion": {
        "type": "object",
        "oneOf": [
          {
            "$ref": "#/components/schemas/ContactEnrichInputLookUp"
          },
          {
            "$ref": "#/components/schemas/CompanyEnrichInputLookUp"
          },
          {
            "$ref": "#/components/schemas/NewsEnrichInputLookUp"
          },
          {
            "$ref": "#/components/schemas/IntentEnrichInputLookUp"
          },
          {
            "$ref": "#/components/schemas/ScoopEnrichInputLookUp"
          },
          {
            "$ref": "#/components/schemas/TechnologyEnrichInputLookUp"
          },
          {
            "$ref": "#/components/schemas/HashtagEnrichInputLookUp"
          },
          {
            "$ref": "#/components/schemas/OrgChartEnrichInputLookUp"
          },
          {
            "$ref": "#/components/schemas/CorporateHierarchyEnrichInputLookUp"
          },
          {
            "$ref": "#/components/schemas/ContactEnrichOutputLookUp"
          },
          {
            "$ref": "#/components/schemas/CompanyEnrichOutputLookUp"
          },
          {
            "$ref": "#/components/schemas/NewsEnrichOutputLookUp"
          },
          {
            "$ref": "#/components/schemas/IntentEnrichOutputLookUp"
          },
          {
            "$ref": "#/components/schemas/ScoopEnrichOutputLookUp"
          },
          {
            "$ref": "#/components/schemas/TechnologyEnrichOutputLookUp"
          },
          {
            "$ref": "#/components/schemas/HashtagEnrichOutputLookUp"
          },
          {
            "$ref": "#/components/schemas/OrgChartEnrichOutputLookUp"
          },
          {
            "$ref": "#/components/schemas/CorporateHierarchyEnrichOutputLookUp"
          }
        ],
        "discriminator": {
          "propertyName": "type",
          "mapping": {
            "ContactEnrichInput": "#/components/schemas/ContactEnrichInputLookUp",
            "CompanyEnrichInput": "#/components/schemas/CompanyEnrichInputLookUp",
            "NewsEnrichInput": "#/components/schemas/NewsEnrichInputLookUp",
            "IntentEnrichInput": "#/components/schemas/IntentEnrichInputLookUp",
            "ScoopEnrichInput": "#/components/schemas/ScoopEnrichInputLookUp",
            "TechnologyEnrichInput": "#/components/schemas/TechnologyEnrichInputLookUp",
            "HashtagEnrichInput": "#/components/schemas/HashtagEnrichInputLookUp",
            "OrgChartEnrichInput": "#/components/schemas/OrgChartEnrichInputLookUp",
            "CorporateHierarchyEnrichInput": "#/components/schemas/CorporateHierarchyEnrichInputLookUp",
            "ContactEnrichOutput": "#/components/schemas/ContactEnrichOutputLookUp",
            "CompanyEnrichOutput": "#/components/schemas/CompanyEnrichOutputLookUp",
            "NewsEnrichOutput": "#/components/schemas/NewsEnrichOutputLookUp",
            "IntentEnrichOutput": "#/components/schemas/IntentEnrichOutputLookUp",
            "ScoopEnrichOutput": "#/components/schemas/ScoopEnrichOutputLookUp",
            "TechnologyEnrichOutput": "#/components/schemas/TechnologyEnrichOutputLookUp",
            "HashtagEnrichOutput": "#/components/schemas/HashtagEnrichOutputLookUp",
            "OrgChartEnrichOutput": "#/components/schemas/OrgChartEnrichOutputLookUp",
            "CorporateHierarchyEnrichOutput": "#/components/schemas/CorporateHierarchyEnrichOutputLookUp"
          }
        },
        "description": "Represents the possible resource types returned in a lookup enrich input response."
      },
      "LookupEnrichResponse": {
        "type": "object",
        "required": [
          "data"
        ],
        "properties": {
          "data": {
            "type": "array",
            "items": {
              "$ref": "#/components/schemas/LookupEnrichInputOutputResponseResourceUnion"
            },
            "description": "The primary data of the document"
          }
        },
        "description": "Lookup enrich output response"
      }
    },
    "securitySchemes": {
      "OAuth2Auth": {
        "type": "oauth2",
        "flows": {
          "authorizationCode": {
            "authorizationUrl": "https://login.zoominfo.com",
            "tokenUrl": "https://okta-login.zoominfo.com/oauth2/default/v1/token",
            "scopes": {
              "api:data:contact": "Ability to search and enrich ZoomInfo Contact data",
              "api:data:company": "Ability to search and enrich ZoomInfo Company data",
              "api:data:intent": "Ability to search and enrich ZoomInfo Intent data",
              "api:data:news": "Ability to search and enrich ZoomInfo News data",
              "api:data:scoops": "Ability to search and enrich ZoomInfo Scoop data",
              "api:data:lookup": "Lookup ZoomInfo Data"
            }
          }
        }
      }
    }
  },
  "servers": [
    {
      "url": "https://api.zoominfo.com/gtm",
      "description": "Base URL for the Data API"
    }
  ]
}
```

# Sibling pages

* [Lookup Data](https://docs.gtm.ai/zoominfoenterprise/reference/lookupinterface_lookup.md)
* [Lookup Search Fields](https://docs.gtm.ai/zoominfoenterprise/reference/lookupsearchinterface_lookupsearch.md)